summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRoger Gonzalez <roger@rogs.me>2023-10-21 18:16:34 -0300
committerRoger Gonzalez <roger@rogs.me>2023-10-21 18:16:34 -0300
commit0be3a06df00adccc2c78c31d23108604d7aa1468 (patch)
treeca1b7e6d09b4e54dd05e12ffb3c573556aef004d
parent612eb32cd880364f8ae75ff7b7f9ed1634ee5763 (diff)
Made some small fixes in semantics
-rw-r--r--docs.org6
-rw-r--r--install.sh6
2 files changed, 8 insertions, 4 deletions
diff --git a/docs.org b/docs.org
index 1ae770d..d3f6550 100644
--- a/docs.org
+++ b/docs.org
@@ -184,7 +184,7 @@ install_location=${install_location:-$default_install_location}
if [ ! -d "$install_location" ]; then
if ! mkdir -p "$install_location"; then
- send_error_message "There was an error creating the installation directory at \"$install_location\". Make sure you have the necessary permissions."
+ send_error_message "There was an error creating the installation directory at \"$install_location\". Make sure you have the necessary permissions ❌"
fi
fi
@@ -220,7 +220,9 @@ read -p "Please, input your media folder [/srv/media]: " media_folder
media_folder=${media_folder:-"/srv/media"}
if [ ! -d "$media_folder" ]; then
- send_error_message "The directory \"$media_folder\" does not exist!"
+ if ! mkdir -p "$media_folder"; then
+ send_error_message "There was an error creating the installation directory at \"$media_folder\". Make sure you have the necessary permissions ❌"
+ fi
fi
read -p "Are you sure your media folder is \"$media_folder\"? [y/N]: " media_folder_correct
diff --git a/install.sh b/install.sh
index 1e10454..7bc5e2d 100644
--- a/install.sh
+++ b/install.sh
@@ -78,7 +78,7 @@ install_location=${install_location:-$default_install_location}
if [ ! -d "$install_location" ]; then
if ! mkdir -p "$install_location"; then
- send_error_message "There was an error creating the installation directory at \"$install_location\". Make sure you have the necessary permissions."
+ send_error_message "There was an error creating the installation directory at \"$install_location\". Make sure you have the necessary permissions ❌"
fi
fi
@@ -100,7 +100,9 @@ read -p "Please, input your media folder [/srv/media]: " media_folder
media_folder=${media_folder:-"/srv/media"}
if [ ! -d "$media_folder" ]; then
- send_error_message "The directory \"$media_folder\" does not exist!"
+ if ! mkdir -p "$media_folder"; then
+ send_error_message "There was an error creating the installation directory at \"$media_folder\". Make sure you have the necessary permissions ❌"
+ fi
fi
read -p "Are you sure your media folder is \"$media_folder\"? [y/N]: " media_folder_correct